#ifndef __DEV_CAN_ID_H
#define __DEV_CAN_ID_H

#include <stdint.h>
#ifdef __cplusplus
extern 'C'
{
#endif
#ifdef __DEV_CAN_ID_H_GLOBAL
#define __DEV_CAN_ID_H_EXTERN
#else
#define __DEV_CAN_ID_H_EXTERN extern
#endif

    /************************************************************************************************
     *                                          Version                                              *
     ************************************************************************************************/

    /************************************************************************************************
     *                                          How to use                                           *
     ************************************************************************************************/

    /************************************************************************************************
     *                                          Enable config                                         *
     ************************************************************************************************/

    /************************************************************************************************
     *                                          Includes                                             *
     ************************************************************************************************/

    /************************************************************************************************
     *                                          Defines                                              *
     ************************************************************************************************/
    extern uint32_t g_ps;
    extern uint32_t g_can_id;
    extern uint32_t g_can_ota_id;
    extern uint8_t  g_can_iap;

    uint32_t get_new_can_id(uint8_t pf);
    uint32_t set_new_can_id(uint16_t pgn);
    uint32_t get_ota_id(uint8_t pf);
/************************************************************************************************
 *                                          Defines                                              *
 ************************************************************************************************/
#ifdef __cplusplus
};
#endif

#endif // __DEV_CAN_ID_H
